package com.ekexiu.logSystem.dao;

import java.sql.Connection;
import java.sql.SQLException;

import org.jfw.apt.annotation.Nullable;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectOne;

import com.ekexiu.logSystem.po.Article;
import com.ekexiu.logSystem.po.Ppaper;
import com.ekexiu.logSystem.po.Ppatent;
@DAO
public interface HtmlStaticDao {
	@SelectOne
	@Nullable
	public abstract Ppatent queryPatent(Connection con, String id) throws SQLException;
	
	@SelectOne
	@Nullable
	public abstract Article queryArticle(Connection con, String articleId) throws SQLException;
	
	@SelectOne
	@Nullable
	public abstract Ppaper queryPaper(Connection con, String id) throws SQLException;
}
